### Type parameters

- #### A

- #### B

- #### C

### Hierarchy

- TransactGetRequestBase
  - TransactGetRequest3

## Index

### Properties

- params

### Methods

- exec
- execFullResponse
- execNoMap
- forModel

## Properties

### params

params: TransactGetItemsInput

Inherited from TransactGetRequestBase.params

- Defined in dynamo/transactget/transact-get.request.type.ts:9

## Methods

### exec

- exec(): Promise<[A, B, C]>

- - Defined in dynamo/transactget/transact-get.request.type.ts:34

  #### Returns Promise<[A, B, C]>

### execFullResponse

- execFullResponse(): Promise<TransactGetFullResponse<[A, B, C]>>

- - Defined in dynamo/transactget/transact-get.request.type.ts:32

  #### Returns Promise<TransactGetFullResponse<[A, B, C]>>

### execNoMap

- execNoMap(): Promise<TransactGetItemsOutput>

- Inherited from TransactGetRequestBase.execNoMap

  - Defined in dynamo/transactget/transact-get.request.type.ts:10

  #### Returns Promise<TransactGetItemsOutput>

### forModel

- forModel<D>(modelClazz: ModelConstructor<D>, key: Partial<D>): TransactGetRequest4<A, B, C, D>

- - Defined in dynamo/transactget/transact-get.request.type.ts:30

  #### Type parameters

  - #### D

  #### Parameters

  - ##### modelClazz: ModelConstructor<D>

  - ##### key: Partial<D>

  #### Returns TransactGetRequest4<A, B, C, D>